ADSys: adsysctl(1)

NAME
adsysctl-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS
adsysctl completion zsh [flags]

DESCRIPTION
Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

    source <(adsysctl completion zsh)

To load completions for every new session, execute once:

  Linux:
    adsysctl completion zsh > "${fpath[1]}/_adsysctl"

  macOS:
    adsysctl completion zsh > $(brew --prefix)/share/zsh/site-functions/_adsysctl

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --config=""
    use a specific configuration file

-s, --socket="/run/adsysd.sock"
    socket path to use between daemon and client. Can be overridden by systemd socket activation.

-t, --timeout=30
    time in seconds before cancelling the client request when the server gives no result. 0 for no timeout.

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv) or DEBUG with caller (-vvv) output

SEE ALSO
adsysctl-completion(1)

HISTORY
27-Mar-2025 Auto generated by spf13/cobra